# Vorgang-Manager

Das helm chart zur Installation des Vorgang-Managers.

## FAQ

### Benutzung beliebiger environment Werte

In jedem der Projekte kann man beliebige weitere environments setzen. Dazu muss man in der jeweiligen values.yaml unter env.customList ein name value Paar setzen:

```yaml
env:
  customList:
    - name: Dinge
      value: true
    - name: ...
      value: ...
```

Um beispielsweise dem Spring eine Variable zu übergeben ``mongock.enabled=false`` kann man Folgendes konfigurieren:

```yaml
env:
  customList:
    - name: mongock_enabled
      value: "false"
```

### Nutzen einer externen MongoDB

Möchte man Vorgang-Manager mit einer externen MongoDB verbinden, so muss unter `Datenbank` die 
`Nutze externe Datenbank` Checkbox gesetzt sein und im Namespace muss sich ein Opaque Secret mit 
Namen `vorgang-manager-database-spring` befinden.

In dem Secret müssen folgende Felder vorhanden sein.

```yaml
spring_data_mongodb_authentication-database: <authentication-database> # sollte admin sein
spring_data_mongodb_database: KOP_DB_SH_<Bezeichner in upper-case>
spring_data_mongodb_uri: mongodb://KOP_User_SH_<Bezeichner in upper-case>:<Password>@<IP-DB-1>:<PORT-DB-1>,<IP-DB-2>:<PORT-DB-2>,<IP-DB-3>:<PORT-DB-3>/<authentication-database>?ssl=false
```